Description

Determine positions of silicon detectors used in post-production measurement of thin detector thickness.

We take into account that center of the first thin detector is in point (0,0). We need to find the position of thick (1 mm) silicon detector

related to the thin detector. For this task we use the data

mbsdaq@nra161:/LynxOS/mbsusr/mbsdaq/mbsrun/exp201804/data/calib/si_after/si-1_si-20_35cm_0deg_new1_*.lmd

History

#1 - 05/31/2018 10:27 AM - Vratislav Chudoba

- Tracker changed from Developing to Analyzing

- Description updated

- Assignee set to Bahytbek Mauyey

- Priority changed from Низкий to Высокий

#2 - 06/01/2018 01:19 PM - Bahytbek Mauyey

- File stripe[8;15]_1mmdetector.gif added

We used data file  si-1_si-20_35cm_0deg_new1_0003.lmd We took into account that center of the thick  1mm detector is in

point  (SQY_L[8],SQX_L[15]) .  We need to find the position of thin (1 micron) silicon detector related to the thick (1mm) detector. We determined p

osition of the first 20-micron detector related to the second 1mm detector in this way:

 tv__tree->Draw("NeEvent.SQY_L[8]:NeEvent.SQX_L[15]","","", 737484, 0);

 stripe%5B8;15%5D_1mmdetector.gif 

then we used this CUT for all stripes of thin detectors. And it matched  only this stripe:  tv__tree->Draw("NeEvent.SQY_R[7]","CUT","")

 stripe%5B7%5D_1mic_detector.gif 

Position of the thin detector related  the thick detector for X axis is  thick(8:15) : thin(7). 

   

#3 - 06/05/2018 06:00 PM - Bahytbek Mauyey
- File positionSQ20mkm_1mm.root added

The active area of thin detector  is 50mm:50mm and there are 16 stripes for axis X (from left to right SQY_R[0]->SQY_R[15]). The active area of thick

detector is 58mm:58mm and there are 32 stripes for X axis (from left to right SQX_L[0]->SQX_L[31]) and 16  stripes for Y axis( from bottom to top

(SQY_L[0]->SQY_L[15]).  The coordinate center point (0,0) is  thick detector's center.  

We changed the channels by mm by following way and wrote new root file with 3 branches(y_1mm - thick detector's Y axis;x_1mm- thick detector's X

axis; and x_20mm -thin detector's X axis ):

if(NeEvent_SQY_L[i]>200 && NeEvent_SQY_L[i]  

The root file  positionSQ20mkm_thick_13.06.18_.root  and macros.C and macros.h were attached. 

 

The center coordinate of thin detector for X axis was found following way:  The 15th stripe for thick detector(X axis) corresponds to 7th stripe of thin

detector.

So the coordinate of 15th stripe for X axis is: 15stripe*58mm/32stripe+(58mm/32stripe)/2-29mm=-0.90625mm ( It is also the 7th stripe's coordinate of

thin det. )

Here 58mm/32stripe means the length of 1 stripe.  (58mm/32stripe)/2- half width of stripe;  29mm - half lenth of thick detector. We took account that

center of stripe is center each stripe. 

 The point of between 7th and 8th stripe of thin detector is center of the thin detector. So center cooridanate is 7th stripe+half width of stripe:

 -090625mm+(50mm/16)/2= -0.90625mm+1.5625mm=0.65625mm 

But  the  coordinate of thin detector's center for Y axis  might find only by shadow in thick detector.  We know that the length of detector is 50mm and

we can notice the greasy places in the thick detector . We only can found approximately and it equal about - 3 mm.  

 SQ1mm_centers_13.06.png 

 

THE COORDINATES OF THIN DETECTOR'S CENTER RELATED CENTER OF THICK DETECTOR ARE  X=0.625MM and  Y=-3MM(+-0.5mm)

 

#4 - 06/05/2018 06:20 PM - Bahytbek Mauyey
- File macros.C added

- File macros.h added

The script for determine position of detectors: 

#5 - 06/14/2018 03:21 AM - Bahytbek Mauyey

- File deleted (macros.C)

#6 - 06/14/2018 04:04 AM - Bahytbek Mauyey

- File macros.C added

- File macros.h added

- File positionSQ20mkm_thick_13.06.18_.root added

#7 - 06/25/2018 03:02 PM - Bahytbek Mauyey

- File 22.06.root added

- File 22.06_x20_x_1.root added

- File 22.06_x20_y_1_3D.root added

The orientation thin detector in the thick detector with taking into account possible errors. The center points of thin detector are 1±1.375mm  for X axis

and -1.8125±2.1875mm for Y axis relatively center of thick detector. The stripe widths were taken into account and equal to 58 mm / 32 = 1,8125 mm

(X axis of thick detector), 58 mm / 16 = 3,625 mm((Y axis of thick detector) and 50 mm / 16 = 3,125 mm(X axis of thin detector). Also the position of

7th stripe of thin detector corresponding to 15th stripe of X axis thick detector was taken into account. We can see from picture that the maximum size

that the thin detector can replace in the thick detector is 52.5625mm:54.375mm (x:y). But the real size is 50mm:50mm. So possible orientation can be

determine with errors 1.375mm (for X axis )and 2.1875mm (for Y axis)

 25.06_1.png 

3D histogram of thick detector(X:Y:

 
25.06_1mm-1mm_1.png 

04/02/2025 3/4



Files

stripe[8;15]_1mmdetector.gif 25.1 KB 06/01/2018 Bahytbek Mauyey

positionSQ20mkm_1mm.root 2.75 MB 06/05/2018 Bahytbek Mauyey

macros.h 10.6 KB 06/05/2018 Bahytbek Mauyey

macros.C 2.65 KB 06/14/2018 Bahytbek Mauyey

macros.h 10.6 KB 06/14/2018 Bahytbek Mauyey

positionSQ20mkm_thick_13.06.18_.root 2.56 MB 06/14/2018 Bahytbek Mauyey

22.06.root 16.1 KB 06/25/2018 Bahytbek Mauyey

22.06_x20_x_1.root 16.3 KB 06/25/2018 Bahytbek Mauyey

22.06_x20_y_1_3D.root 15.6 KB 06/25/2018 Bahytbek Mauyey
